The test suite does not honor configuration options
Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: ruby 2.0.0dev (2013-02-21 trunk 39357)

[x86_64-linux]

Backport:  

Description

=begin

Rev 39201 and 39201 introduced new test cases, which fails for me:

make test-all TESTS="test/test_rbconfig.rb"

CC = gcc

LD = ld

LDSHARED = gcc -shared

CFLAGS = -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buf

fer-size=4 -mtune=generic -fPIC -m64

XCFLAGS = -include ruby/config.h -include ruby/missing.h -D_FORTIFY_SOURCE=2 -fstack-protector -fn

o-strict-overflow -fvisibility=hidden -DRUBY_EXPORT

CPPFLAGS =   -I. -I.ext/include/x86_64-linux -I./include -I.

DLDFLAGS = -Wl,-soname,libruby.so.2.0 -fstack-protector  -m64

SOLIBS = -lpthread -lrt -ldl -lcrypt -lm  

 ./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  -- --disable-gems "./test/runner.rb" --ruby="./miniruby -I./lib -I.

-I.ext/common  ./tool/runruby.rb --extout=.ext  -- --disable-gems"  test/test_rbconfig.rb

Run options: "--ruby=./miniruby -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  -- --disable-gems"

Running tests:

[2/5] TestRbConfig#test_sitearchdirs = 0.00 s

1. Failure:

test_sitearchdirs(TestRbConfig) [/builddir/build/BUILD/ruby-2.0.0-r39357/test/test_rbconfig.rb:30]:

sitearchdir [ruby-dev:46964] [Bug #7823].

Expected /$(sitearch|$(rubysitearchprefix)/ to match "$(DESTDIR)/usr/local/lib64/ruby/site_ruby".

[4/5] TestRbConfig#test_vendorarchdirs = 0.00 s

2) Failure:

test_vendorarchdirs(TestRbConfig) [/builddir/build/BUILD/ruby-2.0.0-r39357/test/test_rbconfig.rb:38]:

vendorarchdir [ruby-dev:46964] [Bug #7823].

Expected /$(sitearch|$(rubysitearchprefix)/ to match "$(DESTDIR)/usr/lib64/ruby/vendor_ruby".

Finished tests in 0.005311s, 941.3960 tests/s, 5271.8177 assertions/s.

5 tests, 28 assertions, 2 failures, 0 errors, 0 skips

ruby -v: ruby 2.0.0dev (2013-02-21 trunk 39357) [x86_64-linux]

make: *** [yes-test-all] Error 2

They obviously does not respect configuration options. Here is the configure command I used:

./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking

--prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include

--libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man

--infodir=/usr/share/info --with-rubylibprefix=/usr/share/ruby --with-sitedir=/usr/local/share/ruby/site_ruby

--with-sitearchdir=/usr/local/lib64/ruby/site_ruby --with-vendordir=/usr/share/ruby/vendor_ruby

--with-vendorarchdir=/usr/lib64/ruby/vendor_ruby --with-rubyhdrdir=/usr/include --with-ruby-pc=ruby.pc --disable-rpath

--enable-shared --with-ruby-version=''
I hope this can be fixed prior Ruby 2.0.0. Thank you.

=end

Associated revisions

Revision 20fa73249505ef1c8ecc2892be75daa2f5b2368a - 02/22/2013 02:36 AM - nobu (Nobuyoshi Nakada)

test_rbconfig.rb: honor configuration options

test/test_rbconfig.rb (TestRbConfig): skip user defined values by

configuration options.  [Bug #7902]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39372 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 20fa7324 - 02/22/2013 02:36 AM - nobu (Nobuyoshi Nakada)

test_rbconfig.rb: honor configuration options

test/test_rbconfig.rb (TestRbConfig): skip user defined values by

configuration options.  [Bug #7902]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39372 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5a5df65d9d2e17868d4bbe306a1cc543cdc95232 - 03/09/2013 01:19 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 39372,39383: [Backport #7912]

    * test/test_rbconfig.rb (TestRbConfig): skip user defined values by

      configuration options.  [Bug #7902]

    * test/test_rbconfig.rb (TestRbConfig): fix r39372.

      It must see RbConfig::CONFIG instead of CONFIG.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@39661 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5a5df65d - 03/09/2013 01:19 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 39372,39383: [Backport #7912]

    * test/test_rbconfig.rb (TestRbConfig): skip user defined values by

      configuration options.  [Bug #7902]

    * test/test_rbconfig.rb (TestRbConfig): fix r39372.

      It must see RbConfig::CONFIG instead of CONFIG.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@39661 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/22/2013 11:36 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r39372.

Vit, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

test_rbconfig.rb: honor configuration options

test/test_rbconfig.rb (TestRbConfig): skip user defined values by

configuration options.  [Bug #7902]
